
/* --------------------------------------------- */
/*  H8-3069F LED function                        */
/*                                               */
/*  CPU    : Renesus H8/3069F 25MHz              */
/*  Memory : ROM 512KB, RAM 16KB E-RAM 2MB       */
/*                (c) KAZ.Imamura                */
/* --------------------------------------------- */

#ifndef __LED_H__
#define __LED_H__

#include "common.h"

enum led_mode_status {
	LED_MODE_OFF,
	LED_MODE_ON,
	LED_MODE_BLINK_300MS,
	LED_MODE_BLINK_1000MS,
	LED_MODE_BLINK_R300MS,
	LED_MODE_BLINK_R1000MS,
} LED_MODE_STATUS, *P_LED_MODE_STATUS;

extern void led_initialize( void );
extern void led_20ms_handler( void );
extern void led_process( void );
extern void led_mode_set( unsigned char ch, unsigned char mode );

#endif
